JBoss API: Class InstallerFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class InstallerFactory

    java.lang.Object
      |
      +--org.jboss.deployment.InstallerFactory

public class InstallerFactory
extends java.lang.Object

This class is used by the J2eeDeployer to create, remove or find a particular Deployment. It uses and instance of Installer to create a Deployment.

Version:
  $Revision: 1.3.6.5 $
Author:
  Daniel Schulze, Bill Burke, Scott.Stark@jboss.org
See Also:
  `Installer`

Field Summary
`protected java.io.File` | `baseDir` the deployment base directory (for the temporary files)
`protected Logger` | `log` the logger if there is something to say

Constructor Summary
`InstallerFactory(java.io.File _tmpDir, Logger _log)` Constructs a new InstallerFactory, only one is needed per J2eeDeployer

Method Summary
`Deployment` | `findDeployment(java.lang.String _pattern)` Finds a particular Deployment.
`static java.io.FilenameFilter` | `getDeployableFilter()`
`Deployment[]` | `getDeployments()` Finds all Deployments currently installed.
`Deployment` | `install(java.net.URL src)` installs the J2ee component the URL points to and returns a Deployment object as its representation.
`void` | `unclutter()` Does some cleanup in the deployments.
`void` | `uninstall(Deployment _d)` uninstalls the files represented by the given Deployment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseDir

    protected java.io.File baseDir

  the deployment base directory (for the temporary files)

### log

    protected Logger log

  the logger if there is something to say

Constructor Detail

### InstallerFactory

    public InstallerFactory(java.io.File _tmpDir,
                            Logger _log)
                     throws java.io.IOException

  Constructs a new InstallerFactory, only one is needed per J2eeDeployer
  Parameters:
    `_tmpDir` - the temporary deployment directory
    `_log` - the Log for output

Method Detail

### getDeployableFilter

    public static java.io.FilenameFilter getDeployableFilter()

### install

    public Deployment install(java.net.URL src)
                       throws J2eeDeploymentException,
                              java.io.IOException

  installs the J2ee component the URL points to and returns a Deployment object as its representation.
  Parameters:
    `src` - J2ee module (ejb/war/ear) to deploy
  Returns:
    a Deployment object representing the deployment
  Throws:
    `J2eeDeploymentException` - if the module is not installable for some reasons (syntactical errors, ...?)
    `java.io.IOException` - if a file operation (_src download jar file extraction) fails

### uninstall

    public void uninstall(Deployment _d)
                   throws java.io.IOException

  uninstalls the files represented by the given Deployment.
  Parameters:
    `_d` - Deployment to remove
  Throws:
    `java.io.IOException` - if file deletion fails

### getDeployments

    public Deployment[] getDeployments()

  Finds all Deployments currently installed.
  Returns:
    array of all found deployments

### findDeployment

    public Deployment findDeployment(java.lang.String _pattern)

  Finds a particular Deployment.
  Parameters:
    `_pattern` - wether the name of the application or the src URL of the application (the one that was given on install (URL))
  Returns:
    the Deployment object for this app or null if not found

### unclutter

    public void unclutter()
                   throws java.io.IOException

  Does some cleanup in the deployments. Intended to remove files that didnt become removed in previous sessions because of the Win2k removal problems.
  Throws:
    `java.io.IOException` - since file deletions can fail

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.